CVE-2020-12863

Priority
Description
An out-of-bounds read in SANE Backends before 1.0.30 may allow a malicious
device connected to the same local network as the victim to read important
information, such as the ASLR offsets of the program, aka GHSL-2020-083.
Assigned-to
mdeslaur
Notes
Package
Upstream:released (1.0.30)
Ubuntu 12.04 ESM (Precise Pangolin):DNE
Ubuntu 14.04 ESM (Trusty Tahr):DNE
Ubuntu 16.04 LTS (Xenial Xerus):released (1.0.25+git20150528-1ubuntu2.16.04.3)
Ubuntu 18.04 LTS (Bionic Beaver):released (1.0.27-1~experimental3ubuntu2.3)
Ubuntu 20.04 LTS (Focal Fossa):released (1.0.29-0ubuntu5.1)
Ubuntu 20.10 (Groovy Gorilla):not-affected (1.0.30-1~experimental2ubuntu1)
Patches:
Upstream:https://gitlab.com/sane-project/backends/-/commit/db9480b09ea807e52029f2334769a55d4b95e45b
More Information

Updated: 2020-09-10 06:36:10 UTC (commit 81a23a978c4436cd99e1d040e9e73e9146876281)